package com.smppw.analysis.domain.dao;

import com.smppw.analysis.domain.dataobject.FundArchivesInfoDO;
import com.smppw.analysis.domain.mapper.mf.MfFundArchivesMapper;
import org.springframework.stereotype.Service;

/**
 * @author mozuwen
 * @date 2023/8/9 9:30
 * @description 公募基金投资类信息说明Mapper
 */
@Service
public class FundArchivesDao {

    private final MfFundArchivesMapper fundArchivesMapper;

    public FundArchivesDao(MfFundArchivesMapper fundArchivesMapper) {
        this.fundArchivesMapper = fundArchivesMapper;
    }

    public FundArchivesInfoDO getFundArchives(String fundId) {
        return fundArchivesMapper.queryFundArchives(fundId);
    }

}
