package com.smppw.analysis.domain.dao.info;

import com.smppw.analysis.domain.dataobject.info.BaseInfoDO;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/8/11 18:52
 * @description 基本信息业务逻辑处理，参考净值的（也考虑缓存）
 */
public interface InfoDao<R extends BaseInfoDO> {
    /**
     * 获取多个同类型标的的基本信息
     *
     * @param secIds 标的id集合
     * @return /
     */
    List<R> list(List<String> secIds);
}
