package com.smppw.analysis.domain.dao.rank;

import cn.hutool.core.util.StrUtil;

public abstract class AbstractRankDao implements RankDao {
    /**
     * 获取最新的排名期，从排名期表和基金指标排名表比较，取最小的
     *
     * @param endDate 排名期
     * @return /
     */
    protected String getLastRankDate(String endDate) {
        String rankDate = this.getRankDate();
        if (StrUtil.isAllNotBlank(endDate, rankDate)) {
            rankDate = endDate.compareTo(rankDate) > 0 ? rankDate : endDate;
        } else {
            rankDate = endDate == null ? rankDate : endDate;
        }
        return rankDate;
    }
}
