package com.smppw.analysis.domain.dao.rank;

import com.smppw.analysis.domain.mapper.core.RankToCMapper;
import org.springframework.stereotype.Component;

@Component("toc")
public class RankToCDao extends AbstractRankDao {
    private final RankToCMapper mapper;

    public RankToCDao(RankToCMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public String getRankDate() {
        return this.mapper.getRankDate();
    }

    @Override
    public String getRankDate(String refId) {
        String endDate = this.mapper.getRefRankDate(refId);
        return this.getLastRankDate(endDate);
    }
}
