package com.smppw.analysis.domain.dataobject;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 21:03
 * @description 公募基金的经理在管的所有基金的某个日期的资产值
 */
@Data
public class ManualFundAssetSizeDo {

    /**
     * 日期
     */
    private String date;

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 基金资产值
     */
    private Double fundAssetSize;

}
