package com.smppw.analysis.domain.dataobject;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 19:10
 * @description 公募基金当前在管的基金经理信息
 */
@Data
public class ManualFundManagerInfoDo {

    /**
     * id
     */
    private String managerId;

    /**
     * 名称
     */
    private String managerName;

    /**
     * 在职开始时间
     */
    private String startDate;

    /**
     * 在职结束时间
     */
    private String endDate;

    /**
     * 人员头像,93
     */
    private String avatar;

    /**
     * 人员头像,172
     */
    private String avatar2;

    /**
     * 性别
     */
    private String gender;

    /**
     * 性别，1-男，2-女
     */
    private String genderValue;

    /**
     * 公募全部产品数量
     */
    private String publicProductNumAll;

    /**
     * 公募正在运行产品数量
     */
    private String publicProductNumRunning;

}
