package com.smppw.analysis.domain.dto.info;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 11:25
 * @description 私募基金费率信息
 */
@Data
public class FundBaseFeeVO {

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 认购起点
     */
    private String minInvestmentShare;

    /**
     * 封闭期
     */
    private String lockupPeriod;

    /**
     * 托管费
     */
    private String managementFeeBank;

    /**
     * 投资顾问管理费
     */
    private String managementFeeConsult;

    /**
     * 认购费率
     */
    private String subscriptionFee;

    /**
     *
     */
    private String subscriptionFeeNote;

    /**
     * 赎回费率
     */
    private String redemptionFee;

    /**
     * 赎回费率说明
     */
    private String redemptionFeeNote;

    /**
     * 存续期限
     */
    private String duration;

    /**
     * 开放日
     */
    private String openDay;

    /**
     * 管理费率
     */
    private String managementFee;

    /**
     * 业绩报酬计提率
     */
    private String performanceFee;

    /**
     * 业绩报酬说明
     */
    private String performanceFeeNote;

    /**
     * 业绩报酬计提对象
     */
    private String accruedWay;

    /**
     * 业绩报酬计提方式
     */
    private String accruedMethod;

    /**
     * 业绩报酬计提频率
     */
    private String accruedFrequency;

    /**
     * 预警线
     */
    private String guardLine;

    /**
     * 业绩锁定期
     */
    private String lockPeriod;

    /**
     * 赎回日
     */
    private String redemptionDay;

    /**
     * 基础货币
     */
    private String baseCurrency;

    /**
     * 追加起点
     */
    private String subsequentInvestmentShare;

    /**
     * 止损线
     */
    private String stopLossLine;

}
