package com.smppw.analysis.domain.dto.info;

import com.smppw.analysis.domain.dataobject.PersonnelWorkExperienceDo;
import lombok.Data;

import java.util.List;


/**
 * @author mozuwen
 * @date 2023/8/9 15:00
 * @description 私募基金详情页-基金经理
 */
@Data
public class FundManagerInfoVo {

    /**
     * 基金经理id
     */
    private String managerId;

    /**
     * 基金经理名字
     */
    private String managerName;

    /**
     * 任务头像1
     */
    private String avatar;

    /**
     * 人物头像2
     */
    private String avatar2;

    /**
     * 最新职务
     */
    private String latestPosition;

    /**
     * 学历
     */
    private String education;

    /**
     * 经理简历
     */
    private String profile;

    /**
     * 基金经理工作履历
     */
    List<PersonnelWorkExperienceDo> managerWorkExperienceList;

}
