package com.smppw.analysis.domain.dto.info;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Data;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/9 14:30
 * @description 公募基金费率信息
 */
@Data
public class ManualFundFeeInfoVO {

    /**
     * 认购费
     */
    private List<ValueLabelVO> subscriptionFee;

    /**
     * 申购费
     */
    private List<ValueLabelVO> applyFee;

    /**
     * 赎回费
     */
    private List<ValueLabelVO> redemptionFee;

    /**
     * 管理费
     */
    private String managementFeeTrust;

    /**
     * 托管费
     */
    private String managementFeeBank;

    /**
     * 营销费
     */
    private String saleFee;

}
