package com.smppw.analysis.domain.dto.info;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 19:10
 * @description 公募基金详情页-基金经理
 */
@Data
public class ManualFundManagerInfoVO {

    /**
     * 头像1
     */
    private String avatar;

    /**
     * 头像2
     */
    private String avatar2;

    /**
     * 性别
     */
    private String gender;

    /**
     * 任内年化收益率
     */
    private String annualRet;

    /**
     * 任内基准增长率，基准区间收益率
     */
    private String benchmarkRet;

    /**
     * 管理产品数量
     */
    private String fundNum;

    /**
     * 基金经理id
     */
    private String managerId;

    /**
     * 基金经理名字
     */
    private String managerName;

    /**
     * 任内基金净值增长率，区间收益率
     */
    private String navChange;

    /**
     * 存续产品数量
     */
    private String runningNum;

    /**
     * 存续基金资产规模
     */
    private String runningScale;

    /**
     * 任内夏普比率
     */
    private String sharpe;

}
