package com.smppw.analysis.domain.mapper.core;

import com.smppw.analysis.domain.dataobject.nav.CompanyFittedCurveDo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CompanyFittedCurveMapper {
    List<CompanyFittedCurveDo> listNavByTimeInterval(@Param("companyIdList") List<String> companyIdList, @Param("startDate") String startDate, @Param("endDate") String endDate,
                                                     @Param("curveType") Integer curveType, @Param("strategy") Integer strategy, @Param("needUpdateAndCreateTime") boolean needUpdateAndCreateTime);

    List<CompanyFittedCurveDo> queryCompanyStrategies(@Param("companyId") String companyId, @Param("curveType") List<Integer> curveTypeList);
}