package com.smppw.analysis.domain.mapper.core;

import com.smppw.analysis.domain.dataobject.nav.DepositNavDo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DepositNavMapper {
    List<String> listRiskOfFreeId();

    List<DepositNavDo> listNav(@Param("indexIds") List<String> indexIds, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<DepositNavDo> listNavByTimeInterval(@Param("indexIdList") List<String> indexIdList, @Param("startDate") String startDate, @Param("endDate") String endDate,
                                             @Param("needUpdateAndCreateTime") boolean needUpdateAndCreateTime);
}