package com.smppw.analysis.domain.mapper.core;

import org.springframework.stereotype.Repository;

@Repository
public interface RankToCMapper {
    /**
     * 从rank_rat_control表获取最新的排名期
     *
     * @return 最新排名期
     */
    String getRankDate();

    /**
     * 从fund_indicator_ranking 获取标的的最新排名期
     *
     * @param refId 标的id
     * @return 标的对应
     */
    String getRefRankDate(String refId);
}
