package com.smppw.analysis.application.dto.info;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 09:25
 * @description 公募基金公告信息请求参数
 */
@Data
public class ManualFundNoticeReq {

    /**
     * 公募基金id
     */
    private String refId;

    /**
     * 公告类型：1-发行上市, 2-定期报告, 3-业绩快报， 4-其他公告,多个类型以逗号隔开
     */
    private String type;

    /**
     * 标题，模糊查询
     */
    private String title;

}
