package com.smppw.analysis.domain.dao;

import com.smppw.analysis.domain.dataobject.ManualFundNoticeInfoDO;
import com.smppw.analysis.domain.mapper.mf.MfFundAnnounceMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/9 9:30
 * @description 公募基金公告信息Dao
 */
@Service
public class FundAnnounceDao {

    private final MfFundAnnounceMapper fundAnnounceMapper;

    public FundAnnounceDao(MfFundAnnounceMapper fundAnnounceMapper) {
        this.fundAnnounceMapper = fundAnnounceMapper;
    }

    public List<ManualFundNoticeInfoDO> queryFundAnnounce(String fundId, List<String> typeList, String title) {
        return fundAnnounceMapper.queryFundAnnounce(fundId, typeList, title);
    }
}
