package com.smppw.analysis.domain.dao.nav;

/**
 * @author wangzaijun
 * @date 2023/8/11 17:00
 * @description 获取净值的策略枚举 bean 名称
 */
public final class NavConstants {
    public static final String PUBLICLY_FUND_NAV = "publiclyFundNav";
    public static final String PRIVATELY_FUND_NAV = "privatelyFundNav";
    public static final String MARKET_INDEX_NAV = "marketIndexNav";
    public static final String COMPANY_NAV = "companyNav";
    public static final String MANAGER_NAV = "managerNav";
    public static final String RISK_INDEX_NAV = "riskIndexNav";
    public static final String PPW_INDEX_NAV = "ppwIndexNav";

    private NavConstants() {
    }
}
