package com.smppw.analysis.domain.dao.rank;

/**
 * @author wangzaijun
 * @date 2023/8/10 10:54
 * @description 排名获取的方式（tob,toc,...）
 */
public interface RankDao {
    /**
     * 获取最新的排名期
     *
     * @return /
     */
    String getRankDate();

    /**
     * 和标的的最新排名期比较，取最新的排名期
     *
     * @param refId 标的id
     * @return 最小的排名期
     */
    default String getRankDate(String refId) {
        return this.getRankDate();
    }
}
