package com.smppw.analysis.domain.dataobject;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 14:00
 * @description 公募基金的基金经理变更历史
 */
@Data
public class ManualFundManagerChangeDo {

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 基金经理id
     */
    private String managerId;

    /**
     * 经理名称
     */
    private String managerName;

    /**
     * 任职开始时间
     */
    private String startDate;
    /**
     * 任职结束时间
     */
    private String endDate;

}
