package com.smppw.analysis.domain.dataobject;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 19:30
 * @description 公募基金的基金经理管理的基金信息
 */
@Data
public class MfManagerFundNumDo {

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 基金经理id
     */
    private String managerId;

    /**
     * 基金管理开始时间
     */
    private String startDate;

    /**
     * 基金管理结束时间
     */
    private String endDate;

    /**
     * 基金运行状态：1-募集中、2-开放运行、3-封闭运行（已废弃）、4-提前清算、5-到期清算、6-发行失败、7-投顾协议已终止、 8-延期清算 -1-其他 9-非正常清算 10-已终止 11-已作废
     */
    private Integer status;
}
