package com.smppw.analysis.domain.dto.info;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 17:00
 * @description 公募基金的基金经理变更历史
 */
@Data
public class ManualFundManagerChangeVO {

    /**
     * 任内年化收益
     */
    private String annualRet;

    /**
     * 任内卡玛比率
     */
    private String calmar;

    /**
     * 任职日期
     */
    private String employDate;

    /**
     * 任职天数
     */
    private String employDayNum;

    /**
     * 任职期间收益
     */
    private String fundRet;

    /**
     * 基金经理id
     */
    private String managerId;

    /**
     * 基金经理名字
     */
    private String managerName;

    /**
     * 任内最大回撤
     */
    private String maxDrawdown;

    /**
     * 任内索提诺比率
     */
    private String sortino;

}
