package com.smppw.analysis.domain.manager.info;

import com.smppw.analysis.domain.dao.nav.NavFactory;
import com.smppw.analysis.domain.dto.info.HeadInfoVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author wangzaijun
 * @date 2023/8/11 13:49
 * @description 所有标的头部信息获取（获取净值已经抽象、获取基本信息可以抽象）
 */
public abstract class AbstractHeadInfo<R extends HeadInfoVO> implements HeadInfo<R> {
    protected final Logger logger = LoggerFactory.getLogger(this.getClass());
    protected final NavFactory navFactory;

    public AbstractHeadInfo(NavFactory navFactory) {
        this.navFactory = navFactory;
    }
}
