package com.smppw.analysis.domain.mapper.core;

import com.smppw.analysis.domain.dataobject.nav.FundManagerFittedCurveDo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface FundManagerFittedCurveMapper {

    List<FundManagerFittedCurveDo> listNavByTimeInterval(@Param("companyIdList") List<String> companyIdList, @Param("startDate") String startDate, @Param("endDate") String endDate,
                                                         @Param("curveType") Integer curveType, @Param("strategy") Integer strategy, @Param("needUpdateAndCreateTime") boolean needUpdateAndCreateTime);

    List<FundManagerFittedCurveDo> queryManagerStrategies(@Param("managerId") String managerId, @Param("curveType") List<Integer> curveTypeList);
}