package com.smppw.analysis.domain.mapper.core;

import com.smppw.analysis.domain.dataobject.nav.IndexesRzIndexDo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface IndexesRzIndexMapper {
    List<IndexesRzIndexDo> listNav(@Param("indexIds") List<String> indexIds, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<IndexesRzIndexDo> listNavByTimeInterval(@Param("indexIdList") List<String> indexIdList, @Param("startDate") String startDate, @Param("endDate") String endDate,
                                                 @Param("needUpdateAndCreateTime") boolean needUpdateAndCreateTime);

    Integer isExist(@Param("indexId") String indexId);
}