package com.smppw.analysis.domain.mapper.core;

import com.smppw.analysis.domain.dataobject.ManualFundFeeDo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/9 14:30
 * @description 公募基金费率信息Mapper
 */
@Repository
public interface MfChargeRateMapper {

    /**
     * 获取公募基金费率信息
     *
     * @param fundId 基金id
     * @return 公募基金费率信息
     */
    List<ManualFundFeeDo> getManualFundFee(String fundId);

}
