package com.smppw.analysis.domain.mapper.core;

import com.smppw.analysis.domain.dataobject.nav.PublicNavDo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PublicNavMapper {
    List<PublicNavDo> listNav(@Param("fundIds") List<String> fundIds, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<PublicNavDo> listNavByTimeInterval(@Param("fundIdList") List<String> fundIdList, @Param("startDate") String startDate, @Param("endDate") String endDate,
                                            @Param("navFieldSql") String navFieldSql, @Param("needUpdateAndCreateTime") boolean needUpdateAndCreateTime);
}