package com.smppw.analysis.domain.mapper.mf;

import com.smppw.analysis.domain.dataobject.FundArchivesInfoDO;
import org.springframework.stereotype.Repository;

/**
 * @author mozuwen
 * @date 2023/8/9 9:30
 * @description 公募基金投资类信息说明Mapper
 */
@Repository
public interface MfFundArchivesMapper {

    /**
     * 获取公募基金投资类信息说明
     *
     * @param fundId 基金id
     * @return 公募基金投资类信息说明
     */
    FundArchivesInfoDO queryFundArchives(String fundId);

}
